import pytz
from datetime import datetime, time
from django.db.models import Max
from celery import task
from counter.models import DeviceCount
from mosquito.models import MosqPostStatistic


@task()
def update_daily_statistic():
    queryset = DeviceCount.objects.raw(
        'select id, device_id, max(data_time) as max_date '
        'from device_count group by device_id, date(data_time) order by max_date')

    if queryset:
        ret = []
        for q in queryset:
            entry = DeviceCount.objects.get(device_id=q.device_id, data_time=q.data_time)
            ret.append((entry.data_time, entry.device_id, entry.count))

@task()
def update_latest_statistic():
    pass